package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * @author salmanoe
 * @since Jun 20, 2022
 * 
 */
public class PelayananFarmakologiVO extends BaseTransactionVO {
	
	private static final long serialVersionUID = -8606524804074896991L;

	@Caption(value = "Produk Farmakologi")
	private ProdukFarmakologiVO produk;

	private Integer produkId;

	@Caption(value = "Tanggal Pelayanan")
	private Date tglPelayanan;

	@Caption(value = "Nilai Skor")
	private Double skor;

	@Caption(value = "Jumlah")
	private Double jumlah;

	@Caption(value = "Catatan")
	private String catatan;

	@Caption(value = "Pegawai")
	private PegawaiVO pegawai;

	private Integer pegawaiId;

	public ProdukFarmakologiVO getProduk() {
		return produk;
	}

	public void setProduk(ProdukFarmakologiVO produk) {
		this.produk = produk;
	}

	public Integer getProdukId() {
		return produkId;
	}

	public void setProdukId(Integer produkId) {
		this.produkId = produkId;
	}

	public Date getTglPelayanan() {
		return tglPelayanan;
	}

	public void setTglPelayanan(Date tglPelayanan) {
		this.tglPelayanan = tglPelayanan;
	}

	public Double getSkor() {
		return skor;
	}

	public void setSkor(Double skor) {
		this.skor = skor;
	}

	public Double getJumlah() {
		return jumlah;
	}

	public void setJumlah(Double jumlah) {
		this.jumlah = jumlah;
	}

	public String getCatatan() {
		return catatan;
	}

	public void setCatatan(String catatan) {
		this.catatan = catatan;
	}

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

}
